﻿define("epi-ecf-ui/contentediting/viewmodel/BundleEntryCollectionReadOnlyEditorModel", [
    // dojo
    "dojo/_base/declare",
    "dojo/_base/lang",

    "../ModelSupport",
    "./ReadOnlyCollectionEditorModel"
],
function (
    //dojo
    declare,
    lang,

    ModelSupport,
    ReadOnlyCollectionEditorModel
) {
    return declare([ReadOnlyCollectionEditorModel], {
        // module: 
        //      epi-ecf-ui/contentediting/viewmodel/BundleEntryCollectionReadOnlyEditorModel
        // summary:
        //      Represents the model for BundleEntryCollectionReadOnlyEditor

        _storeKey: "epi.commerce.relation",

        createQuery: function (referenceId) {
            return { referenceId: referenceId, relationTypes: [ModelSupport.relationType.bundleEntry] };
        }
    });
});